<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
Habilitada la opcion de actualizar BD (solo para hosting)
*/

session_name('portal_absa');
session_start();
require "../conexion/conectar.php";
include("../actualizarBus.php");


$rfcReceptor=$_POST["busca_receptor"];
$doc=$_POST["busca_documento"];
$serieI=$_POST["busca_serieI"];
$serieF=$_POST["busca_serieF"];
$folioI=$_POST["busca_folioI"];
$folioF=$_POST["busca_folioF"];
$fechaI=$_POST["busca_fechaI"];
$fechaF=$_POST["busca_fechaF"];

$busca_nombre=$_POST["busca_nombre"];

		if($serieF=="")
		{
			conectar();
			$resultado=mysql_query(getQuery2());
			desconectar();
			if($maximo=mysql_fetch_array($resultado))
			$serieF=$maximo["serie_maxima"];
		}
		if($folioF=="")
		{
			conectar();
			$resultado=mysql_query(getQuery3());
			desconectar();
			if($maximo=mysql_fetch_array($resultado))
			$folioF=$maximo["folio_maximo"];
		}
		if($fechaF=="")
		{
			conectar();
			$resultado=mysql_query(getQuery4());
			desconectar();
			if($maximo=mysql_fetch_array($resultado))
			$fechaF=substr($maximo["fecha_maxima"],0,10);
		}
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		$fechaF.=" 23:59:59";
		$q=getQuery5($serieI,$serieF,$doc,$rfcReceptor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre);

if($doc != "" && $rfcReceptor != ""){
		$query="select adicional from receptor r,tdoctos_r t where r.rfc='$rfcReceptor'
		and r.idReceptor=t.idReceptor and t.tipodocto='$doc' limit 1";
		conectar();
		$rquery=mysql_query($query);
		desconectar();
		if(mysql_num_rows($rquery) > 0){
			$temp=mysql_fetch_array($rquery);
			$adicional=$temp['adicional'];
		}
	}
			if($adicional=="")
				$adicional=$_SESSION["Label_adicional"];
				
                if($_SESSION["tipo_portal"] == "ABSA"){
                    if($_SESSION['esAdmin_p_prov_absa'] == "SI" || strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "COMPRAS" || strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD")
                            $width="160";
                    else
                            $width="90";
                }else{
                    if($_SESSION['esAdmin_p_prov_absa'] == "SI")
                            $width="160";
                    else
                            $width="120";
                }
                if($_SESSION["mostrar_pdf_std"] == "SI")
			$width = $width + 30;
                    
if(file_exists("../config.ini")){
			$vlineas = file("../config.ini"); 
			
				foreach ($vlineas as $sLinea) {
						if(substr(trim($sLinea),0,13) == "FECHA_PAGO=NO"){
							$_SESSION['fecha_pago']='NO';
						}else{
							$_SESSION['fecha_pago']='SI';
						}
						
				}
			}
$label_asignado_a="ASIGNADO A";
if(trim($_SESSION["Label_asignado_a"]) != "")
    $label_asignado_a=$_SESSION["Label_asignado_a"];
?>
<script>
var query="<?=$q?>";
$j_6(document).ready(function(){
	if(navigator.appVersion.toLowerCase().indexOf("safari") != -1 && navigator.appVersion.toLowerCase().indexOf("chrome") == -1)
		var w = <?=((integer) $width)+10?>;
	else
		var w = <?=$width?>;
		
	$j_6().gridJQGrid({
	php: 'grids/recibedoceGrid.php',
	headerNames: '<img src="grids/Imagenes/descargas.png"/>,Status,RFC Receptor,Documento,Serie,Folio,UUID,Fecha,Fecha Probable Pago,RFC Emisor,Nombre Emisor,Total,Moneda,Status,Status ABSA,Fecha Recibido,<?=$adicional?>,<?=$label_asignado_a?>,No. Comprobacion,Fecha Comprobacion,Comprobado',
	sortname: 'rfc_receptor,tipodocto,serie,folio',
	Frozen: true,
	idGrid: 'grid_recibedoce',
	idPagina: 'pagina_recibedoce',
	optionsCol: 'xml|width: '+w+', search: false, sortable:false, frozen: true;'+
				'status_absa_icono|width: 50, search: false, <?if(trim(strtoupper($_SESSION['tipo_usuario_ABSA'])) == "EXTERNO" || $_SESSION["tipo_portal"]!="ABSA"){?>hidden: true, <?}?>frozen: true;'+
				'rfc_receptor|width: 120;'+
				'tipodocto|width: 120;'+
				'serie|width: 60;'+
				'folio|width: 60, align:"right", sorttype: "int";'+
				'uuid|width: 60, align:"left";'+
				'fechaDocto|width: 150, search: true, sorttype: "date";'+
				'fecha_pago|width: 150, <?if($_SESSION['fecha_pago']=="NO" && trim(strtoupper($_SESSION['tipo_usuario_ABSA'])) == "EXTERNO" || $_SESSION["tipo_portal"]!="ABSA"){?>hidden: true,<?}?> search: true, sorttype: "date";'+
				'rfcemisor|width: 120;'+
				'nombreemi|width: 300;'+
				'total|width: 100, align:"right", sorttype: "float";'+
				'tipoMoneda|width: 60, align:"center";'+
				'status|width: 60, align:"center";'+
				'status_absa|width: 100 <?if(trim(strtoupper($_SESSION['tipo_usuario_ABSA'])) == "EXTERNO" || $_SESSION["tipo_portal"]!="ABSA"){?>,hidden: true <?}?>;'+
				'fechaRecibido|width: 150, sorttype: "date";'+
				'adicional|width: 150;'+
                                'asignado_a|width: 150;'+
                                'comprobacion_no|width: 100<?if($_SESSION['tipo_portal'] != "VIMIFOS"){?>, hidden: true<?}?>;'+
                                'fecha_comprobacion|width: 150<?if($_SESSION['tipo_portal'] != "VIMIFOS"){?>, hidden: true<?}?>;'+
                                'comprobado|width: 100, search: false, align: "center"<?if($_SESSION['tipo_portal'] != "VIMIFOS"){?>, hidden: true<?}?>',
	hiddenCol: 'pdf,ArchivoXML,ArchivoPDF,usarRutaDistribuida',
	ignoreColNamesExcel: '0,1<? if($_SESSION["tipo_portal"] != "ABSA" || $_SESSION["tipo_portal"] != "VIMIFOS"){ if($_SESSION["tipo_portal"] == "ABSA"){echo ",18,19,20";}else if($_SESSION["tipo_portal"] == "ABSA"){echo ",8,14";}else{echo ",8,14,18,19,20";}}?>',
	sheetName: 'Documentos Subidos',
	urlDatos: 'grids/recibedoceDatosGrid.php',
	div: 'documentosEncontrados',
	width: 750,
	rowNum: 20,
	query: query,
	optionsForm: 	'',
	captionForm: '',
	tabla: '',
	reloadGridAfterSave: '',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 500,
	heightForm: 120,
	fileForm: 'grids/generaForm.php',
	edit: false,
	add: false,
	del: false
	});
	
});
</script>
<?
function getQuery2(){
	 $getQuery2="select max(serie) as serie_maxima from recibedoce";
	return $getQuery2;
}
function getQuery3(){
	 $getQuery3="select max(folio) as folio_maximo from recibedoce";
	return $getQuery3;
}
function getQuery4(){
	 $getQuery4="select max(fechadocto) as fecha_maxima from recibedoce";
	return $getQuery4;
}
function getQuery5($serieI,$serieF,$doc,$rfcReceptor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre){
	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
		$permisosComplemento=$_SESSION['permisos_p_prov_absa'];
	}else{
		$complementoQuery="and rfcEmisor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	if($doc == ""){
		$docQuery="like '%$doc%'";
	}else{
		$docQuery="='$doc'";
	}
	
	if($rfcReceptor == ""){
		$rfcQuery="like '%$rfcReceptor%'";
	}else{
		$rfcQuery="='$rfcReceptor'";
	}
	
	$pendientes="";
	if($_SESSION["tipo_portal"] == "ABSA"){
		if(isset($_POST['pendientes']) && $_POST['pendientes'] == "on"){
			if($_SESSION['tipo_usuario_ABSA'] == "COMPRAS"){
				$pendientes=" and (status_absa='0' or status_absa='1' or status_absa='2' or status_absa='3') and status<>'R'";
			}else if($_SESSION['tipo_usuario_ABSA'] == "CONTABILIDAD"){
				//$pendientes=" and (status_absa='4' or status_absa='2')";
							$pendientes=" and (status_absa='2')";
			}
		}
	}
        $filtroStatus="";
        
        if(isset($_POST['status'])){
            
            for($i=0; $i < count($_POST['status']); $i++){
                if(trim($_POST['status'][$i]) != ""){
                    if(trim($_POST['status'][$i]) != "0" && trim($_POST['status'][$i]) != "1" && trim($_POST['status'][$i]) != "2"){
                            if($filtroStatus=="")
                                $filtroStatus.=" and ( status_absa='".str_replace ("6", "4", str_replace ("5", "3", str_replace ("4", "2", str_replace ("3", "1", $_POST['status'][$i]))))."'";
                            else
                                $filtroStatus.=" or status_absa='".str_replace ("6", "4", str_replace ("5", "3", str_replace ("4", "2", str_replace ("3", "1", $_POST['status'][$i]))))."'";
                    }else{
                            if($filtroStatus=="")
                                $filtroStatus.=" and ( status='".str_replace ("0", "R", str_replace ("1", "W", str_replace ("2", "A", $_POST['status'][$i])))."'";
                            else
                                $filtroStatus.=" or status='".str_replace ("0", "R", str_replace ("1", "W", str_replace ("2", "A", $_POST['status'][$i])))."'";

                    }
                }
            }
            
            if(trim($filtroStatus) != "")
                $filtroStatus.=" )";
        }
        $filtroAdicional="";
        if($_SESSION["tipo_portal"] == "VIMIFOS"){
            if($_SESSION['tipo_usuario_vimifos'] != ""){
                if($_SESSION['tipo_usuario_vimifos'] == "DOCTOR")
                    $filtroAdicional=" and d.adicional like 'GASTOS%'";
                else if($_SESSION['tipo_usuario_vimifos'] == "INTERNO"){
                    if(trim($_SESSION['tdocto']) == "TODOS"){
                        $filtroAdicional="";
                    }else{
                        $filtroAdicional=" and d.adicional='".$_SESSION['tdocto']."'";
                    }
                }
                    
            }
        }

	$getQuery5="select distinct (DATE_ADD(fechaDocto, INTERVAL w.dias_pago DAY)) as fecha_pago,asignado_a,status_absa,rutaXML_P as xml,rutaPDF_P as pdf,rfc_receptor,tipodocto,serie,folio,uuid,fechaDocto,rfcemisor,nombreemi,total,tipoMoneda,status,fechaRecibido,d.adicional as adicional,comentarios, ArchivoXML,ArchivoPDF,usarRutaDistribuida,c.idReceptor as idReceptor, comentario_compras, comentario_contabilidad,comprobacion_prefijo,comprobacion_no,fecha_comprobacion from (select t.idReceptor as idReceptor,rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida,adicional from receptor e,tdoctos_r t where e.idReceptor=t.idReceptor) as c,recibedoce d, clienteweb w where w.rfc_cliente=d.rfcemisor and (d.nombreemi like '%$busca_nombre%' or d.rfcemisor like '%$busca_nombre%') and c.rfc = d.rfc_receptor and rfc_receptor $rfcQuery and tipodocto $docQuery and d.tipodocto=c.tipodoc $complementoQuery and serie between '$serieI' and '$serieF' and folio between '$folioI' and '$folioF' and fechaDocto between '$fechaI' and '$fechaF' $filtroStatus $pendientes $permisosComplemento $filtroAdicional";
        //echo $getQuery5;exit;
	return $getQuery5;
}
?>